Package org.multiverse.api.predicates

## Interface Predicate<E>

- All Known Implementing Classes:
    `BooleanPredicate`, `DoublePredicate`, `IntPredicate`, `LongPredicate`

      public interface Predicate<E>

  A predicate that checks if some value leads to true or false.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `evaluate​(E value)` | Evaluates the predicate.

- - ### Method Detail

    - #### evaluate

          boolean evaluate​(E value)

      Evaluates the predicate.
      Parameters:
        `value` - the value to evaluate.
      Returns:
        true or false.